<template>
  <checkauto-layout>
    <AppBreadcrumbs
      slot="line-breadcrumb"
      :breadcrumbs="breadcrumbs"/>
    <div
      slot="line-content"
      class="kit outer">
      <div class="kit view checkauto faq">
        <div class="content">
          <div class="description">
            <h1 class="title">{{ pageHeader }}</h1>

            <div
              class="kit helptext"
              v-html="content"/>

            <nuxt-link
              to="/check-auto"
              class="ui button icon transparent">
              <i class="icon arr-left"/>
              Вернуться к проверке авто
            </nuxt-link>

          </div>
          <div class="navigation">

            <nuxt-link
              to="/check-auto"
              class="ui button circular yellow desktopshow">
              <img
                svg-inline
                src="~/assets/svg/icons/i-search.svg">
              Проверка авто
            </nuxt-link>

            <faq-nav-tree
              v-for="(section,sIndex) in navigation"
              :help="help"
              :key="sIndex"
              :section="section"/>

          </div>
        </div>


        <div class="bottom">
          <a
            href="#"
            class="ui button circular yellow mobilshow">
            <img
              svg-inline
              src="~/assets/svg/icons/i-search.svg">
            Проверить авто
          </a>
          <payment v-model="paymentSystem.code"/>
        </div>
      </div>
    </div>
  </checkauto-layout>
</template>

<script>
import CheckautoLayout from '~/components/redesign/check-auto/main-layout';
import Payment from '~/components/redesign/blocks/payment';
import NavTree from '~/components/redesign/check-auto/faq/NavTree';
import AppBreadcrumbs from '~/components/redesign/app-breadcrumbs';

import { FaqList1, FaqList2, FaqList3 } from '~/assets/js/faq/check-auto';
import SeoMixin from '~/assets/js/mixins/seo/base';
import SeoPageMixin from '~/assets/js/mixins/seo/pages/main/check-auto/questions';

export default {
  name: 'FaqHelp',
  components: {
    'faq-nav-tree': NavTree,
    CheckautoLayout,
    Payment,
    AppBreadcrumbs,
  },
  mixins: [SeoMixin, SeoPageMixin],
  async asyncData({ app, params, error }) {
    const [dataInfo, dataContent] = await Promise.all([
      app.$axios.$get('/_main/checkauto/info'),
      app.$axios.$get('/_main/seo/contents', { params: { url: `/check-auto/questions/${params.help}` } }),
    ]);
    if (dataContent.data.title == null) {
      error({ statusCode: 404 });
    }
    return {
      title: dataContent.data.title,
      description: dataContent.data.description,
      pageHeader: dataContent.data.pageHeader,
      content: dataContent.data.content,
      paymentSystem: dataInfo.data.paymentSystem,
    };
  },
  data() {
    return {
      title: '',
      navigation: [
        FaqList1,
        FaqList2,
        FaqList3,
      ],
    };
  },
  computed: {
    help() {
      return this.$route.params.help;
    },
    breadcrumbs() {
      return [
        {
          url: '/check-auto',
          name: 'Проверка авто',
        },
        {
          url: '/check-auto/questions',
          name: 'Вопросы и ответы',
        },
        {
          url: '',
          name: this.pageHeader ? this.pageHeader : '',
        },
      ];
    },
  },
};
</script>

<style scoped lang="postcss">
  @import '../../../../assets/css/pages/check-auto/checkauto-questions.css';
  .ui.button .svg {
    display: inline-block;
    vertical-align: middle;
    margin: 0 .375em 0 0;
    fill: #1b1c1d;
  }
</style>
